Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2FileInputSource Class Reference

Implements Xabsl2InputSource using the InConfigFile class. More...

`#include <GTXabsl2EngineExecutor.h>`

Inheritance diagram for Xabsl2FileInputSource:

[legend]
Collaboration diagram for Xabsl2FileInputSource:

[legend]
List of all members.

## Public Member Functions
| Xabsl2FileInputSource (const char *fileName)
| Constructor.
| ~Xabsl2FileInputSource ()
| Destructor.
virtual bool | open ()
| opens the source that contains the intermediate code
virtual void | close ()
| closes the source
virtual double | readValue ()
| reads a numeric value from the input source
virtual bool | readString (char *destination, int maxLength)
| reads a string from the input source
## Private Attributes
InConfigFile * | file
| The file to read the data from.

## Detailed Description

Implements Xabsl2InputSource using the InConfigFile class.

Definition at line 46 of file GTXabsl2EngineExecutor.h.

## Constructor & Destructor Documentation

Xabsl2FileInputSource::Xabsl2FileInputSource | ( | const char * | fileName | ) |

  | Constructor. Does not open the file Parameters:
  fileName | The file name to open
Definition at line 434 of file GTXabsl2EngineExecutor.cpp.

Xabsl2FileInputSource::~Xabsl2FileInputSource | ( |  | ) |

| Destructor. Definition at line 439 of file GTXabsl2EngineExecutor.cpp.

## Member Function Documentation

bool Xabsl2FileInputSource::open | ( |  | ) | `[virtual]`

| opens the source that contains the intermediate code Implements Xabsl2InputSource. Definition at line 444 of file GTXabsl2EngineExecutor.cpp. References InFile::exists().

Here is the call graph for this function:

void Xabsl2FileInputSource::close | ( |  | ) | `[virtual]`

| closes the source Implements Xabsl2InputSource. Definition at line 451 of file GTXabsl2EngineExecutor.cpp.

double Xabsl2FileInputSource::readValue | ( |  | ) | `[virtual]`

| reads a numeric value from the input source Implements Xabsl2InputSource. Definition at line 457 of file GTXabsl2EngineExecutor.cpp.

bool Xabsl2FileInputSource::readString | ( | char * | destination,
|  | int | maxLength
| ) | `[virtual]`

  | reads a string from the input source Parameters:
  destination | The position where to write the string
  maxLength | the maximum length of the string
Returns: if the read succeded Implements Xabsl2InputSource. Definition at line 464 of file GTXabsl2EngineExecutor.cpp.

## Member Data Documentation

InConfigFile* Xabsl2FileInputSource::file`[private]`

| The file to read the data from. Definition at line 77 of file GTXabsl2EngineExecutor.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/GT/GTXabsl2EngineExecutor.h
- Tools/Xabsl2/GT/GTXabsl2EngineExecutor.cpp